## puddletag 0.10.6.3

=== Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    = 
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest documentation

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	@python createnews.py
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."
	@python createnews.py fixnews

documentation:
	@$(SPHINXBUILD) -b html -D html_theme=offline -D html_domain_indices=[] $(ALLSPHINXOPTS) $(BUILDDIR)/documentation about.txt docs.txt source/*.txt
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/documentation."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/puddletag.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/puddletag.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/puddletag"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/puddletag"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
puddletag (0.10.6.3-1) unstable; urgency=low

  * Initial release; Closes: #617854

 -- Sandro Tosi <morph@debian.org>  Thu, 18 Aug 2011 11:29:45 +0200

=== debian/control ===
Source: puddletag
Section: sound
Priority: optional
Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders: Sandro Tosi <morph@debian.org>, Rogério Brito <rbrito@ime.usp.br>
Build-Depends: debhelper (>= 7.0.50~), python
Build-Depends-Indep: python-sphinx (>= 1.0.7+dfsg)
Standards-Version: 3.9.2
XS-Python-Version: all
Homepage: http://puddletag.sourceforge.net/
Vcs-Svn: svn://svn.debian.org/svn/python-apps/packages/puddletag/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/python-apps/packages/puddletag/trunk/

Package: puddletag
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, ${sphinxdoc:Depends}, python-mutagen (>= 1.14), python-qt4 (>= 4.5), python-pyparsing (>= 1.5.1), python-configobj (>= 4.5)
Recommends: python-musicbrainz2 (>= 0.7.0)
Suggests: quodlibet
Description: simple, powerful audio tag editor
 puddletag is an audio tag editor (primarily created) for GNU/Linux
 similar to the Windows program, Mp3tag. Unlike most taggers for
 GNU/Linux, it uses a spreadsheet-like layout so that all the tags you
 want to edit by hand are visible and easily editable.
 .
 The usual tag editor features are supported like extracting tag
 information from filenames, renaming files based on their tags by
 using patterns and basic tag editing.
 .
 Then there're Functions, which can do things like replace text, trim
 it, do case conversions, etc. Actions can automate repetitive
 tasks. You can import your QuodLibet library, lookup tags using
 Amazon (including cover art), Discogs (does cover art too!), FreeDB
 and MusicBrainz (and more).
 .
 Supported formats: ID3v1, ID3v2 (mp3), MP4 (mp4, m4a, etc.),
 VorbisComments (ogg, flac), Musepack (mpc), Monkey's Audio (ape) and
 WavPack (wv).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with sphinxdoc

override_dh_clean:
	dh_clean
	$(MAKE) -C docs clean

override_dh_auto_install:
	dh_auto_install
	$(MAKE) -C docs documentation

override_dh_installdocs:
	dh_installdocs
	mv docs/_build/documentation/ docs/_build/html/
	dh_installdocs docs/_build/html/
	dh_link /usr/share/doc/puddletag/html/docs.html /usr/share/doc/puddletag/html/index.html

override_dh_compress:
	dh_compress -X.txt

=== debian/watch ===
version=3
http://sf.net/puddletag/puddletag-(.*)\.tar\.gz

## puddletag 1.0.0~beta4

=== debian/changelog ===
puddletag (1.0.0~beta4-1) experimental; urgency=low

  [ Stefano Rivera ]
  * Add missing Build-Depends on python-support; thanks to Jakub Wilk for the
    report; Closes: #652342

  [ Sandro Tosi ]
  * New (beta) upstream release
  * debian/watch
    - handle beta releases

 -- Sandro Tosi <morph@debian.org>  Mon, 13 Feb 2012 22:15:32 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Uploaders: Sandro Tosi <morph@debian.org>, Rogério Brito <rbrito@ime.usp.br>
-Build-Depends: debhelper (>= 7.0.50~), python
+Build-Depends: debhelper (>= 7.0.50~), python, python-support
 Build-Depends-Indep: python-sphinx (>= 1.0.7+dfsg)
 Standards-Version: 3.9.2
 XS-Python-Version: all

## puddletag 1.0.0~rc1

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 
 # You can set these variables from the command line.
-SPHINXOPTS    = 
+SPHINXOPTS    = -E
 SPHINXBUILD   = sphinx-build
 PAPER         =
 BUILDDIR      = _build

=== debian/changelog ===
puddletag (1.0.0~rc1-1) unstable; urgency=low

  * New upstream release candidate
  * debian/copyright
    - updated for new upstream code + extended packaging copyright years
    - use versioned link to copyright DEP
  * debian/control
    - added python-audioread, python-acoustid to Depends, needed for AcoustID
      support
    - bump Standards-Version to 3.9.3 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Sun, 10 Jun 2012 12:47:33 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Sandro Tosi <morph@debian.org>, Rogério Brito <rbrito@ime.usp.br>
 Build-Depends: debhelper (>= 7.0.50~), python, python-support
 Build-Depends-Indep: python-sphinx (>= 1.0.7+dfsg)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 XS-Python-Version: all
 Homepage: http://puddletag.sourceforge.net/
 Vcs-Svn: svn://svn.debian.org/svn/python-apps/packages/puddletag/trunk/
@@ -13,7 +13,7 @@
 
 Package: puddletag
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, ${sphinxdoc:Depends}, python-mutagen (>= 1.14), python-qt4 (>= 4.5), python-pyparsing (>= 1.5.1), python-configobj (>= 4.5)
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, ${sphinxdoc:Depends}, python-mutagen (>= 1.14), python-qt4 (>= 4.5), python-pyparsing (>= 1.5.1), python-configobj (>= 4.5), python-audioread, python-acoustid
 Recommends: python-musicbrainz2 (>= 0.7.0)
 Suggests: quodlibet
 Description: simple, powerful audio tag editor

=== debian/watch ===
version=3
opts="uversionmangle=s/beta/~beta/" http://sf.net/puddletag/puddletag-(.*)\.tar\.gz

## puddletag 1.0.2

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 # You can set these variables from the command line.
 SPHINXOPTS    = -E
-SPHINXBUILD   = sphinx-build
+SPHINXBUILD   = sphinx-build2
 PAPER         =
 BUILDDIR      = _build
 
@@ -37,11 +37,11 @@
 	-rm -rf $(BUILDDIR)/*
 
 html:
-	@python createnews.py
+	@python2 createnews.py
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
 	@echo
 	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."
-	@python createnews.py fixnews
+	@python2 createnews.py fixnews
 
 documentation:
 	@$(SPHINXBUILD) -b html -D html_theme=offline -D html_domain_indices=[] $(ALLSPHINXOPTS) $(BUILDDIR)/documentation about.txt docs.txt source/*.txt

=== debian/changelog ===
puddletag (1.0.2-1) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Sandro Tosi ]
  * New upstream release; Closes: #712021
  * debian/copyright
    - extended debian packaging copyright years
  * debian/control
    - bump Standards-Version to 3.9.5 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Tue, 31 Dec 2013 16:11:01 +0100

puddletag (1.0.1-1) experimental; urgency=low

  * New upstream release
  * debian/control
    - add libchromaprint-tools to Recommends, needed to enable AcoustID
  * debian/rules
    - use 'sphinx-build' to build documentation

 -- Sandro Tosi <morph@debian.org>  Sat, 01 Sep 2012 12:42:44 +0200

puddletag (1.0.0-1) experimental; urgency=low

  * New upstream release
  * debian/watch
    - updated to recognize RC vesions

 -- Sandro Tosi <morph@debian.org>  Wed, 22 Aug 2012 21:41:00 +0200

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,16 @@
 Uploaders: Sandro Tosi <morph@debian.org>, Rogério Brito <rbrito@ime.usp.br>
 Build-Depends: debhelper (>= 7.0.50~), python, python-support
 Build-Depends-Indep: python-sphinx (>= 1.0.7+dfsg)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 XS-Python-Version: all
 Homepage: http://puddletag.sourceforge.net/
-Vcs-Svn: svn://svn.debian.org/svn/python-apps/packages/puddletag/trunk/
-Vcs-Browser: http://svn.debian.org/wsvn/python-apps/packages/puddletag/trunk/
+Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/puddletag/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/puddletag/trunk/
 
 Package: puddletag
 Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, ${sphinxdoc:Depends}, python-mutagen (>= 1.14), python-qt4 (>= 4.5), python-pyparsing (>= 1.5.1), python-configobj (>= 4.5), python-audioread, python-acoustid
-Recommends: python-musicbrainz2 (>= 0.7.0)
+Recommends: python-musicbrainz2 (>= 0.7.0), libchromaprint-tools
 Suggests: quodlibet
 Description: simple, powerful audio tag editor
  puddletag is an audio tag editor (primarily created) for GNU/Linux

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 
 override_dh_auto_install:
 	dh_auto_install
-	$(MAKE) -C docs documentation
+	$(MAKE) -C docs documentation SPHINXBUILD=sphinx-build
 
 override_dh_installdocs:
 	dh_installdocs

## puddletag 1.0.5

=== debian/changelog ===
puddletag (1.0.5-1) unstable; urgency=medium

  * New upstream release
  * debian/control(
    - remove Rogério from Uploaders, thanks for all your work; Closes: #777514
    - switch me to Maintainer (team to Uploaders)
    - add python-sphinx-bootstrap-theme to b-d-i, needed to build doc
    - drop python-musicbrainz2 Recommends, implemented internally;
      Closes: #786358
    - bump Standards-Version to 3.9.6 (no changes needed)
  * debian/copyright
    - extend packaging copyright years
  * debian/patches/add_missing_doc_files.patch
    - add missing files, required to build doc
  * Switch from pysupport to dh_python2; Closes: #786288
  * debian/patches/489acd2ee62eb5fbff95f8220dc8958c14871931.patch
    - fix crash at startup, due to new Qt4; Closes: #791752

 -- Sandro Tosi <morph@debian.org>  Mon, 27 Jul 2015 00:01:56 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: puddletag
 Section: sound
 Priority: optional
-Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
-Uploaders: Sandro Tosi <morph@debian.org>, Rogério Brito <rbrito@ime.usp.br>
-Build-Depends: debhelper (>= 7.0.50~), python, python-support
-Build-Depends-Indep: python-sphinx (>= 1.0.7+dfsg)
-Standards-Version: 3.9.5
+Maintainer: Sandro Tosi <morph@debian.org>
+Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
+Build-Depends: debhelper (>= 7.0.50~), python, dh-python
+Build-Depends-Indep: python-sphinx (>= 1.0.7+dfsg), python-sphinx-bootstrap-theme
+Standards-Version: 3.9.6
 XS-Python-Version: all
 Homepage: http://puddletag.sourceforge.net/
 Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/puddletag/trunk/
@@ -14,7 +14,7 @@
 Package: puddletag
 Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, ${sphinxdoc:Depends}, python-mutagen (>= 1.14), python-qt4 (>= 4.5), python-pyparsing (>= 1.5.1), python-configobj (>= 4.5), python-audioread, python-acoustid
-Recommends: python-musicbrainz2 (>= 0.7.0), libchromaprint-tools
+Recommends: libchromaprint-tools
 Suggests: quodlibet
 Description: simple, powerful audio tag editor
  puddletag is an audio tag editor (primarily created) for GNU/Linux

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@ --with sphinxdoc
+	dh $@ --with python2,sphinxdoc
 
 override_dh_clean:
 	dh_clean

=== debian/watch ===
version=3
opts="uversionmangle=s/beta/~beta/;s/RC/~rc/" http://sf.net/puddletag/puddletag-(.*)\.tar\.gz

## puddletag 1.1.1

=== debian/changelog ===
puddletag (1.1.1-2) unstable; urgency=medium

  * debian/patches/88a3ad2e3a46c549dc03a408fab2813d02c0ea58.patch
    - support an updated python-mutagen; Closes: #833910

 -- Sandro Tosi <morph@debian.org>  Sun, 14 Aug 2016 19:07:53 +0100

puddletag (1.1.1-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright
    - update Source location
    - extend packaging copyright years
    - adapt file location to new upstream code organization
    - update docs copyright/license information
  * debian/watch
    - look for new releases on github
  * debian/control
    - update Homepage field
    - add python-levenshtein to Recommends (needed for diffs submodule)
    - add python-mysqldb to Recommends (needed for amarok integration)
    - bump Standards-Version to 3.9.8 (no changes needed)
  * debian/rules
    - install upstream changelog
    - docs location is now 'puddletag-docs'
    - install extra docs as arguments to dh_installdocs
    - install python module & program from 'source'
  * debian/patches/489acd2ee62eb5fbff95f8220dc8958c14871931.patch
    - removed, merged upstream
  * debian/patches/add_missing_doc_files.patch
    - removed, merged upstream

 -- Sandro Tosi <morph@debian.org>  Wed, 27 Apr 2016 12:43:17 +0100

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,16 @@
 Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 7.0.50~), python, dh-python
 Build-Depends-Indep: python-sphinx (>= 1.0.7+dfsg), python-sphinx-bootstrap-theme
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 XS-Python-Version: all
-Homepage: http://puddletag.sourceforge.net/
+Homepage: http://docs.puddletag.net/
 Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/puddletag/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/puddletag/trunk/
 
 Package: puddletag
 Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, ${sphinxdoc:Depends}, python-mutagen (>= 1.14), python-qt4 (>= 4.5), python-pyparsing (>= 1.5.1), python-configobj (>= 4.5), python-audioread, python-acoustid
-Recommends: libchromaprint-tools
+Recommends: libchromaprint-tools, python-levenshtein, python-mysqldb
 Suggests: quodlibet
 Description: simple, powerful audio tag editor
  puddletag is an audio tag editor (primarily created) for GNU/Linux

=== debian/rules ===
--- 
+++ 
@@ -14,17 +14,22 @@
 
 override_dh_clean:
 	dh_clean
-	$(MAKE) -C docs clean
+	$(MAKE) -C puddletag-docs clean
 
 override_dh_auto_install:
-	dh_auto_install
-	$(MAKE) -C docs documentation SPHINXBUILD=sphinx-build
+	cd $(CURDIR)/source ; \
+	python setup.py install --root=$(CURDIR)/debian/puddletag --install-layout=deb
+
+	$(MAKE) -C puddletag-docs documentation SPHINXBUILD=sphinx-build
 
 override_dh_installdocs:
-	dh_installdocs
-	mv docs/_build/documentation/ docs/_build/html/
-	dh_installdocs docs/_build/html/
+	dh_installdocs source/README source/THANKS source/TODO
+	mv puddletag-docs/_build/documentation/ puddletag-docs/_build/html/
+	dh_installdocs puddletag-docs/_build/html/
 	dh_link /usr/share/doc/puddletag/html/docs.html /usr/share/doc/puddletag/html/index.html
 
 override_dh_compress:
 	dh_compress -X.txt
+
+override_dh_installchangelogs:
+	dh_installchangelogs source/changelog

## puddletag 1.2.0

=== puddletag-docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    = -q
SPHINXBUILD   = sphinx-build2
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest documentation

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	python2 createnews.py
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	echo
	python2 createnews.py fixnews
	python2 fix_html.py "_build/html"
	echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

documentation:
	@$(SPHINXBUILD) -b html -D html_domain_indices=[] $(ALLSPHINXOPTS) $(BUILDDIR)/documentation about.txt docs.txt source/*.txt
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/documentation."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/puddletag.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/puddletag.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/puddletag"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/puddletag"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
puddletag (1.2.0-1) unstable; urgency=medium

  * New upstream release
  * debian/patches/88a3ad2e3a46c549dc03a408fab2813d02c0ea58.patch
    - remove, included in upstream release
  * debian/rules
    - install README.rst not a broken symlink; Closes: #846600
  * declare compat level 10

 -- Sandro Tosi <morph@debian.org>  Sat, 10 Dec 2016 19:23:10 -0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 7.0.50~), python, dh-python
+Build-Depends: debhelper (>= 10), python, dh-python
 Build-Depends-Indep: python-sphinx (>= 1.0.7+dfsg), python-sphinx-bootstrap-theme
 Standards-Version: 3.9.8
 XS-Python-Version: all

=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,7 @@
 	$(MAKE) -C puddletag-docs documentation SPHINXBUILD=sphinx-build
 
 override_dh_installdocs:
-	dh_installdocs source/README source/THANKS source/TODO
+	dh_installdocs README.rst source/THANKS source/TODO
 	mv puddletag-docs/_build/documentation/ puddletag-docs/_build/html/
 	dh_installdocs puddletag-docs/_build/html/
 	dh_link /usr/share/doc/puddletag/html/docs.html /usr/share/doc/puddletag/html/index.html

## puddletag 2.0.1

=== puddletag-docs/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 # You can set these variables from the command line.
 SPHINXOPTS    = -q
-SPHINXBUILD   = sphinx-build2
+SPHINXBUILD   = sphinx-build
 PAPER         =
 BUILDDIR      = _build
 
@@ -37,11 +37,11 @@
 	-rm -rf $(BUILDDIR)/*
 
 html:
-	python2 createnews.py
+	python createnews.py
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
 	echo
-	python2 createnews.py fixnews
-	python2 fix_html.py "_build/html"
+	python createnews.py fixnews
+	python fix_html.py "_build/html"
 	echo "Build finished. The HTML pages are in $(BUILDDIR)/html."
 
 documentation:

=== source/requirements.txt ===
wheel==0.35.1
Markdown==3.1.1
PyRSS2Gen==1.1
Sphinx==1.4.8
sphinx-bootstrap-theme==0.4.13
pyqt5==5.15
configobj==5.0
mutagen==1.45
pyparsing==2.4.7

=== debian/changelog ===
puddletag (2.0.1-2) unstable; urgency=medium

  * source upload

 -- Sandro Tosi <morph@debian.org>  Wed, 28 Oct 2020 19:46:56 -0400

puddletag (2.0.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.1.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * New upstream release
  * Switch to python3
  * debian/control
    - bump Standards-Version to 4.5.0 (no changes needed)
  * debian/copyright
    - refresh copyright information

 -- Sandro Tosi <morph@debian.org>  Thu, 15 Oct 2020 23:39:37 -0400

puddletag (1.2.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field

  [ Sandro Tosi ]
  * debian/copyright
    - extend packaging copyright years
  * debian/control
    - bump Standards-Version to 4.3.0 (no changes needed)
  * bump compat level to 11

 -- Sandro Tosi <morph@debian.org>  Sun, 03 Feb 2019 13:09:12 -0500

=== debian/control ===
Source: puddletag
Section: sound
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>,
Build-Depends: debhelper-compat (= 11),
               dh-python,
               python3,
Build-Depends-Indep: python3-sphinx (>= 1.0.7+dfsg),
                     python3-sphinx-bootstrap-theme,
Standards-Version: 4.5.0
Homepage: http://docs.puddletag.net/
Vcs-Git: https://salsa.debian.org/python-team/packages/puddletag.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/puddletag

Package: puddletag
Architecture: all
Depends: python3-acoustid,
         python3-audioread,
         python3-configobj (>= 4.5),
         python3-mutagen (>= 1.14),
         python3-pyparsing (>= 1.5.1),
         python3-pyqt5,
         python3-pyqt5.qtsvg,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         ${sphinxdoc:Depends},
Recommends: libchromaprint-tools,
            python3-levenshtein,
Suggests: quodlibet,
Description: simple, powerful audio tag editor
 puddletag is an audio tag editor (primarily created) for GNU/Linux
 similar to the Windows program, Mp3tag. Unlike most taggers for
 GNU/Linux, it uses a spreadsheet-like layout so that all the tags you
 want to edit by hand are visible and easily editable.
 .
 The usual tag editor features are supported like extracting tag
 information from filenames, renaming files based on their tags by
 using patterns and basic tag editing.
 .
 Then there're Functions, which can do things like replace text, trim
 it, do case conversions, etc. Actions can automate repetitive
 tasks. You can import your QuodLibet library, lookup tags using
 Amazon (including cover art), Discogs (does cover art too!), FreeDB
 and MusicBrainz (and more).
 .
 Supported formats: ID3v1, ID3v2 (mp3), MP4 (mp4, m4a, etc.),
 VorbisComments (ogg, flac), Musepack (mpc), Monkey's Audio (ape) and
 WavPack (wv).

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@ --with python2,sphinxdoc
+	dh $@ --with python3,sphinxdoc
 
 override_dh_clean:
 	dh_clean
@@ -18,7 +18,7 @@
 
 override_dh_auto_install:
 	cd $(CURDIR)/source ; \
-	python setup.py install --root=$(CURDIR)/debian/puddletag --install-layout=deb
+	python3 setup.py install --root=$(CURDIR)/debian/puddletag --install-layout=deb
 
 	$(MAKE) -C puddletag-docs documentation SPHINXBUILD=sphinx-build

## puddletag 2.2.0

=== requirements.txt ===
#
# This file is autogenerated by pip-compile with python 3.9
# To update, run:
#
#    pip-compile
#
audioread==2.1.9
    # via
    #   -r requirements.in
    #   pyacoustid
certifi==2021.10.8
    # via requests
charset-normalizer==2.0.10
    # via requests
chromaprint==0.5
    # via -r requirements.in
configobj==5.0.6
    # via -r requirements.in
idna==3.3
    # via requests
levenshtein==0.18.1
    # via -r requirements.in
lxml==4.9.1
    # via -r requirements.in
mutagen==1.45.1
    # via -r requirements.in
pyacoustid==1.2.2
    # via -r requirements.in
pyparsing==3.0.9
    # via -r requirements.in
pyqt5==5.15.7
    # via -r requirements.in
pyqt5-qt5==5.15.2
    # via pyqt5
pyqt5-sip==12.11.0
    # via pyqt5
rapidfuzz==2.0.2
    # via levenshtein
requests==2.27.1
    # via pyacoustid
six==1.16.0
    # via configobj
urllib3==1.26.8
    # via requests

=== debian/changelog ===
puddletag (2.2.0-3) unstable; urgency=medium

  * drop DPT

 -- Sandro Tosi <morph@debian.org>  Fri, 01 Mar 2024 02:42:31 -0500

puddletag (2.2.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Bump debhelper from old 11 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Name.
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends-Indep: Drop versioned constraint on python3-sphinx.
    + puddletag: Drop versioned constraint on python3-configobj, python3-mutagen
      and python3-pyparsing in Depends.

  [ Sandro Tosi ]
  * debian/patches/PR769.patch
    - Fix window icon under Wayland; Closes: #1030945

 -- Sandro Tosi <morph@debian.org>  Tue, 28 Feb 2023 18:12:25 -0500

puddletag (2.2.0-1) unstable; urgency=medium

  * New upstream release; Closes: #1008686
  * debian/rules
    - use pybuild
    - rework build process for new doc source location
    - disable tests, there are none to run anyway
    - override the shebang to be python3
    - bump Standards-Version to 4.6.1.0 (no changes needed)
  * debian/control
    - use pyproject build plugin
    - add setuptools to b-d
  * debian/py3dist-overrides
    - override six to be an unversioned depends

 -- Sandro Tosi <morph@debian.org>  Thu, 07 Jul 2022 00:16:40 -0400

puddletag (2.0.1-3) unstable; urgency=medium

  * Use the new Debian Python Team contact name and address

 -- Sandro Tosi <morph@debian.org>  Wed, 15 Sep 2021 23:13:25 -0400

=== debian/control ===
--- 
+++ 
@@ -2,24 +2,24 @@
 Section: sound
 Priority: optional
 Maintainer: Sandro Tosi <morph@debian.org>
-Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>,
-Build-Depends: debhelper-compat (= 11),
-               dh-python,
+Build-Depends: debhelper-compat (= 13),
+               pybuild-plugin-pyproject,
                python3,
-Build-Depends-Indep: python3-sphinx (>= 1.0.7+dfsg),
+               python3-setuptools,
+Build-Depends-Indep: python3-sphinx,
                      python3-sphinx-bootstrap-theme,
-Standards-Version: 4.5.0
-Homepage: http://docs.puddletag.net/
-Vcs-Git: https://salsa.debian.org/python-team/packages/puddletag.git
-Vcs-Browser: https://salsa.debian.org/python-team/packages/puddletag
+Standards-Version: 4.6.1.0
+Homepage: https://docs.puddletag.net/
+Vcs-Git: https://salsa.debian.org/morph/puddletag.git
+Vcs-Browser: https://salsa.debian.org/morph/puddletag
 
 Package: puddletag
 Architecture: all
 Depends: python3-acoustid,
          python3-audioread,
-         python3-configobj (>= 4.5),
-         python3-mutagen (>= 1.14),
-         python3-pyparsing (>= 1.5.1),
+         python3-configobj,
+         python3-mutagen,
+         python3-pyparsing,
          python3-pyqt5,
          python3-pyqt5.qtsvg,
          ${misc:Depends},

## puddletag 2.3.0

=== requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.10
# by the following command:
#
#    pip-compile
#
audioread==3.0.1
    # via pyacoustid
certifi==2023.7.22
    # via requests
charset-normalizer==2.0.10
    # via requests
configobj==5.0.8
    # via -r requirements.in
idna==3.3
    # via requests
levenshtein==0.25.0
    # via -r requirements.in
lxml==5.1.0
    # via -r requirements.in
mutagen==1.47.0
    # via -r requirements.in
pyacoustid==1.3.0
    # via -r requirements.in
pyparsing==3.1.1
    # via -r requirements.in
pyqt5==5.15.10
    # via -r requirements.in
pyqt5-qt5==5.15.2
    # via pyqt5
pyqt5-sip==12.13.0
    # via pyqt5
rapidfuzz==3.4.0
    # via levenshtein
requests==2.31.0
    # via pyacoustid
six==1.16.0
    # via configobj
unidecode==1.3.8
    # via -r requirements.in
urllib3==1.26.18
    # via requests

## puddletag 2.4.0

=== requirements.txt ===
--- 
+++ 
@@ -12,17 +12,17 @@
     # via requests
 configobj==5.0.8
     # via -r requirements.in
-idna==3.3
+idna==3.7
     # via requests
-levenshtein==0.25.0
+levenshtein==0.25.1
     # via -r requirements.in
-lxml==5.1.0
+lxml==5.2.2
     # via -r requirements.in
 mutagen==1.47.0
     # via -r requirements.in
 pyacoustid==1.3.0
     # via -r requirements.in
-pyparsing==3.1.1
+pyparsing==3.1.2
     # via -r requirements.in
 pyqt5==5.15.10
     # via -r requirements.in
@@ -30,13 +30,13 @@
     # via pyqt5
 pyqt5-sip==12.13.0
     # via pyqt5
-rapidfuzz==3.4.0
+rapidfuzz==3.8.1
     # via levenshtein
-requests==2.31.0
+requests==2.32.0
     # via pyacoustid
 six==1.16.0
     # via configobj
 unidecode==1.3.8
     # via -r requirements.in
-urllib3==1.26.18
+urllib3==1.26.19
     # via requests

=== debian/changelog ===
puddletag (2.4.0-1) unstable; urgency=medium

  * New upstream release; Closes: #1070971, #1072136
  * debian/control
    - bump Standards-Version to 4.6.2 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Tue, 25 Jun 2024 01:25:25 -0400

puddletag (2.3.0-1) unstable; urgency=medium

  * New upstream release
  * drop patches, merged upstream

 -- Sandro Tosi <morph@debian.org>  Sun, 10 Mar 2024 03:20:14 -0400

## puddletag 2.5.0

=== requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.10
# by the following command:
#
#    pip-compile
#
audioread==3.0.1
    # via pyacoustid
certifi==2024.7.4
    # via requests
charset-normalizer==2.0.10
    # via requests
configobj==5.0.9
    # via -r requirements.in
idna==3.7
    # via requests
levenshtein==0.27.1
    # via -r requirements.in
lxml==6.0.0
    # via -r requirements.in
mutagen==1.47.0
    # via -r requirements.in
pyacoustid==1.3.0
    # via -r requirements.in
pyparsing==3.2.3
    # via -r requirements.in
pyqt5==5.15.11
    # via -r requirements.in
pyqt5-qt5==5.15.2
    # via pyqt5
pyqt5-sip==12.15.0
    # via pyqt5
rapidfuzz==3.10.0
    # via levenshtein
requests==2.32.4
    # via pyacoustid
unidecode==1.4.0
    # via -r requirements.in
urllib3==2.5.0
    # via requests

=== docsrc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    = -q
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = ../docs/

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest documentation

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	#python3 createnews.py
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)
	#python3 createnews.py fixnews
	python3 fix_html.py $(BUILDDIR)
	echo "Build finished. The HTML pages are in $(BUILDDIR)"

documentation:
	@$(SPHINXBUILD) -b html -D html_domain_indices=[] $(ALLSPHINXOPTS) $(BUILDDIR)/documentation about.txt docs.txt source/*.txt
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/documentation."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/puddletag.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/puddletag.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/puddletag"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/puddletag"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
puddletag (2.5.0-1) unstable; urgency=medium

  * New upstream release; Closes: #1101688

 -- Sandro Tosi <morph@debian.org>  Mon, 06 Oct 2025 23:54:08 -0400

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                python3-setuptools,
 Build-Depends-Indep: python3-sphinx,
                      python3-sphinx-bootstrap-theme,
-Standards-Version: 4.6.1.0
+Standards-Version: 4.6.2
 Homepage: https://docs.puddletag.net/
 Vcs-Git: https://salsa.debian.org/morph/puddletag.git
 Vcs-Browser: https://salsa.debian.org/morph/puddletag

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_DISABLE=test

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_clean:
	dh_clean
	$(MAKE) -C docsrc clean

override_dh_auto_install:
	cd $(CURDIR)/source ; \
	python3 setup.py install --root=$(CURDIR)/debian/puddletag --install-layout=deb

	$(MAKE) -C docsrc documentation SPHINXBUILD=sphinx-build

override_dh_python3:
	dh_python3 --verbose --shebang=/usr/bin/python3

override_dh_installdocs:
	dh_installdocs README.md THANKS TODO
	mv docs/documentation/ docs/html/
	dh_installdocs docs/html/
	dh_link /usr/share/doc/puddletag/html/docs.html /usr/share/doc/puddletag/html/index.html

override_dh_compress:
	dh_compress -X.txt

override_dh_installchangelogs:
	dh_installchangelogs changelog

=== debian/watch ===
version=3
opts="filenamemangle=s/(?:.*?)?v?(\d[\d.]*)\.tar\.gz/puddletag-$1.tar.gz/" \
 https://github.com/keithgg/puddletag/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
